const ИМЯ = "ОМ | MB";
const БАЗА = "https://git.opengamestudio.org/mahjong/mahjong-modeli-models/raw/branch/master/";


// // // //


РасположитьКамеру = мир =>
{
    мир.камера.position.z = 10;
};


// // // //


СоздатьФишку = мир =>
{
    мир.сцена.add(мир.модельФишки);
    //var материал = new THREE.MeshBasicMaterial({map: мир.текстураФишки});
};


// // // //


ЗагрузитьТекстуруФишки = мир =>
{
    var текстура = "t1_tex.png";
    var адрес = БАЗА + текстура;
    мир.загрузчикТекстур.load(
        адрес,
        function(текстура) {
            мир.текстураФишки = текстура;
            мир.уведомить("загрузили текстуру фишки");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};


// // // //


СоздатьЗагрузчикТекстур = мир =>
{
    мир.загрузчикТекстур = new THREE.TextureLoader();
};


// // // //


ЗагрузитьМодельФишки = мир =>
{
    var модель = "2020-08-25_1415.gltf";
    var адрес = БАЗА + модель;
    мир.загрузчикGLTF.load(
        адрес,
        function(gltf) {
            мир.модельФишки = gltf.scene;
            мир.уведомить("загрузили модель фишки");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};


// // // //


СоздатьЗагрузчикGLTF = мир =>
{
    мир.загрузчикGLTF = new THREE.GLTFLoader();
};

